QGIS Application - Bug report #20778
Cannot delete individual vertex in lines
2018-12-11 05:45 PM - Matthew Bodnar

Status: Closed
Priority: Normal
Assignee:

Category: Editing

Affected QGIS version:3.4.2

Operating System: WIN 10.0.17134 Build 17134
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 28598

Description

Hi,

| cannot delete individual vertex in this topo contour file with the vertex editor. | have to cut the line into pieces and delete the smaller

segment entirely.

| receive a runtime-error for some reason, not sure if this is related (screenshot attached).

| have attached the data as a QLR, | apologize if this is due to my data but | thought there may be a editing issue somewhere.

Regards

History

#1 - 2018-12-11 06:17 PM - Saber Razmjooei
- Status changed from Open to Feedback

You need to attach SMM_KIluane_SB_5m Shape file (shp, shx, dbf and prj)

#2 - 2018-12-11 06:57 PM - Matthew Bodnar
- File 05_Issues.zip added

Hi,

The shapefiule was too big so | had to clip a portion, export as Geopackage and put into this compressed folder.

| still cannot delete a node/vertex. | can highight a vertex blue and press the delete key... it will run the script but the vertex remains.

#3 - 2018-12-11 10:32 PM - Giovanni Manghi

works as expected here (QGIS master, Win10), try with a new/clean profile.

#4 - 2018-12-11 11:55 PM - Matthew Bodnar

Giovanni Manghi wrote:

2025-04-27

12




works as expected here (QGIS master, Win10), try with a new/clean profile.

Yes, that has solved it. My apologies. | do not know why the .ini for the profile is corrupted..

Thank you

#5 - 2018-12-11 11:56 PM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed

Files

Test_Topo_5m_Contours.qlr 15 KB 2018-12-11 Matthew Bodnar

Capture.PNG 29.9 KB 2018-12-11 Matthew Bodnar

05_Issues.zip 4.36 MB 2018-12-11 Matthew Bodnar
